Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo
Class DeprecatedJDOMetaDataFactory

    java.lang.Object
      org.apache.openjpa.meta.AbstractMetaDataFactory
          org.apache.openjpa.meta.AbstractCFMetaDataFactory
              kodo.jdo.JDOMetaDataFactory
                  kodo.jdo.DeprecatedJDOMetaDataFactory

All Implemented Interfaces:
  ApplicationIdTool.ObjectIdLoader, MetaDataFactory, MetaDataModes

Direct Known Subclasses:
  kodo.jdo.jdbc.AbstractDeprecatedJDOMappingFactory

    public class DeprecatedJDOMetaDataFactory

extends JDOMetaDataFactory

JDO `MetaDataFactory` that translates deprecated pre-JDO 2 Kodo extensions into their current equivalents.

Since:
  4.0

Nested Class Summary
`static class` | `DeprecatedJDOMetaDataFactory.ExtensionTranslatingParser` Parser that translates deprecated extensions into current equivalents.

Nested classes/interfaces inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`AbstractCFMetaDataFactory.Parser, AbstractCFMetaDataFactory.Serializer`

Field Summary
`static String[]` | `CLASS_EXTENSIONS` All known class extensions.
`static String` | `ELEMENT`
`static String` | `EXT_AUTO_INCREMENT` Extension key indicating that a datastore identity value or field is auto-incrementing (superceded by `identity-strategy` and `value-strategy`).
`static String` | `EXT_DEPENDENT` Extension key root for indicating that a field is dependent.
`static String` | `EXT_DETACHABLE` Extension used to mark a class as being capable of being detached.
`static String` | `EXT_EAGER_FETCH_MODE` Extension key for naming the eager fetching policy of a field (superceded by `jdbc-eager-fetch-mode`).
`static String` | `EXT_FETCH_GROUP` Extension key for naming the fetch group of a field.
`static String` | `EXT_INVERSE_OWNER` Extension key for naming the inverse owner of a field (superceded by `mapped-by`).
`static String` | `EXT_SEQUENCE_ASSIGNED` Extension key for indicating that a field is assigned a value from a sequence (superceded by `value-strategy`).
`static String` | `EXT_SEQUENCE_FACTORY` Extension key defining a sequence (superceded by named sequences).
`static String` | `EXT_SEQUENCE_NAME` Extension key naming a sequence (superceded by named sequences).
`static String` | `EXT_SUBCLASS_FETCH_MODE` Extension key for naming the subclass fetch policy (superceded by `jdbc-subclass-fetch-mode`).
`static String[]` | `FIELD_EXTENSIONS` All known field extensions.
`static String` | `KEY`
`static String` | `VALUE`

Fields inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`cpath, files, rsrcs, urls`

Fields inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`dir, log, repos, store, strict, types`

Fields inherited from interface org.apache.openjpa.meta.MetaDataFactory
`STORE_DEFAULT, STORE_PER_CLASS, STORE_VERBOSE`

Fields inherited from interface org.apache.openjpa.meta.MetaDataModes
`MODE_MAPPING, MODE_MAPPING_INIT, MODE_META, MODE_NONE, MODE_QUERY`

Constructor Summary
`DeprecatedJDOMetaDataFactory()`

Method Summary
`void` | `addClassExtensionKeys(Collection exts)`
`void` | `addFieldExtensionKeys(Collection exts)`
`protected AbstractCFMetaDataFactory.Parser` | `newParser(boolean loading)`
`protected boolean` | `translateClassExtension(ClassMetaData cls, String key, String value)` Translate deprecated extensions into current equivalents.
`protected boolean` | `translateFieldExtension(FieldMetaData field, String key, String value)` Translate deprecated extensions into current equivalents.

Methods inherited from class kodo.jdo.JDOMetaDataFactory
`clear, defaultSourceFile, defaultSourceFile, defaultSourceFile, getDefaults, getMetaDataSuffix, getParser, isDeclaredInterfacePersistent, isParseTopDown, isScanTopDown, load, newClassArgParser, newMetaDataFilter, newSerializer, setDeclaredInterfacePersistent, setLoadObjectIds, setParser, setScanTopDown, setUseSchemaValidation, useSchemaValidation`

Methods inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`backupAndDelete, clearMapping, drop, getDefiningMetaData, getPersistentTypeNames, getSourceFile, getSourceFile, isMappingOnlyFactory, mapPersistentTypeNames, parse, parse, serialize, setClasspathScan, setClasspathScan, setFiles, setFiles, setResources, setResources, setSourceFile, setSourceFile, setURLs, setURLs, store`

Methods inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`getQueryScope, getResultSetMappingScope, setRepository, setStoreDirectory, setStoreMode, setStrict, setTypes, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT

    public static final String ELEMENT

See Also:
  Constant Field Values

### KEY

    public static final String KEY

See Also:
  Constant Field Values

### VALUE

    public static final String VALUE

See Also:
  Constant Field Values

### EXT_SUBCLASS_FETCH_MODE

    public static final String EXT_SUBCLASS_FETCH_MODE

  Extension key for naming the subclass fetch policy (superceded by `jdbc-subclass-fetch-mode`).

  See Also:
    Constant Field Values

### EXT_AUTO_INCREMENT

    public static final String EXT_AUTO_INCREMENT

  Extension key indicating that a datastore identity value or field is auto-incrementing (superceded by `identity-strategy` and `value-strategy`).

  See Also:
    Constant Field Values

### EXT_SEQUENCE_FACTORY

    public static final String EXT_SEQUENCE_FACTORY

  Extension key defining a sequence (superceded by named sequences).

  See Also:
    Constant Field Values

### EXT_SEQUENCE_NAME

    public static final String EXT_SEQUENCE_NAME

  Extension key naming a sequence (superceded by named sequences).

  See Also:
    Constant Field Values

### EXT_DETACHABLE

    public static final String EXT_DETACHABLE

  Extension used to mark a class as being capable of being detached.

  See Also:
    Constant Field Values

### CLASS_EXTENSIONS

    public static final String[] CLASS_EXTENSIONS

  All known class extensions.

### EXT_INVERSE_OWNER

    public static final String EXT_INVERSE_OWNER

  Extension key for naming the inverse owner of a field (superceded by `mapped-by`).

  See Also:
    Constant Field Values

### EXT_FETCH_GROUP

    public static final String EXT_FETCH_GROUP

  Extension key for naming the fetch group of a field.

  See Also:
    Constant Field Values

### EXT_EAGER_FETCH_MODE

    public static final String EXT_EAGER_FETCH_MODE

  Extension key for naming the eager fetching policy of a field (superceded by `jdbc-eager-fetch-mode`).

  See Also:
    Constant Field Values

### EXT_SEQUENCE_ASSIGNED

    public static final String EXT_SEQUENCE_ASSIGNED

  Extension key for indicating that a field is assigned a value from a sequence (superceded by `value-strategy`).

  See Also:
    Constant Field Values

### EXT_DEPENDENT

    public static final String EXT_DEPENDENT

  Extension key root for indicating that a field is dependent.

  See Also:
    Constant Field Values

### FIELD_EXTENSIONS

    public static final String[] FIELD_EXTENSIONS

  All known field extensions.

Constructor Detail

### DeprecatedJDOMetaDataFactory

    public DeprecatedJDOMetaDataFactory()

Method Detail

### newParser

    protected AbstractCFMetaDataFactory.Parser newParser(boolean loading)

  Overrides:
    `newParser` in class `JDOMetaDataFactory`

### addClassExtensionKeys

    public void addClassExtensionKeys(Collection exts)

  Specified by:
    `addClassExtensionKeys` in interface `MetaDataFactory`
  Overrides:
    `addClassExtensionKeys` in class `JDOMetaDataFactory`

### addFieldExtensionKeys

    public void addFieldExtensionKeys(Collection exts)

  Specified by:
    `addFieldExtensionKeys` in interface `MetaDataFactory`
  Overrides:
    `addFieldExtensionKeys` in class `JDOMetaDataFactory`

### translateClassExtension

    protected boolean translateClassExtension(ClassMetaData cls,
                                              String key,
                                              String value)

  Translate deprecated extensions into current equivalents.

### translateFieldExtension

    protected boolean translateFieldExtension(FieldMetaData field,
                                              String key,
                                              String value)

  Translate deprecated extensions into current equivalents.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.